Name:           python-geomagindices
Version:        1.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Download and parse geomagnetic indices

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/geomagindices/
Source:         %{pypi_source geomagindices}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'geomagindices' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-geomagindices
Summary:        %{summary}

%description -n python3-geomagindices %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-geomagindices lint,tests


%prep
%autosetup -p1 -n geomagindices-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x lint,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-geomagindices -f %{pyproject_files}


%changelog
%autochangelog